Index: sm/trunk-jpl/externalpackages/petsc/install-3.15-mac-arm.sh
===================================================================
--- /issm/trunk-jpl/externalpackages/petsc/install-3.15-mac-arm.sh	(revision 26941)
+++ 	(revision )
@@ -1,56 +1,0 @@
-#!/bin/bash
-set -eu
-
-
-## Constants
-VER="3.15.2"
-
-# Download source
-$ISSM_DIR/scripts/DownloadExternalPackage.sh "https://ftp.mcs.anl.gov/pub/petsc/release-snapshots/petsc-lite-${VER}.tar.gz" "petsc-${VER}.tar.gz"
-
-# Unpack source
-tar -zxvf petsc-${VER}.tar.gz
-
-# Cleanup
-rm -rf install src
-mkdir install src
-
-# Move source to 'src' directory
-mv petsc-${VER}/* src/
-rm -rf petsc-${VER}
-
-# Configure
-#
-# NOTE:
-# - Added -fallow-argument-mismatch to FFLAGS in order to clear,
-#
-#		error: The Fortran compiler gfortran will not compile files that call 
-#		the same routine with arguments of different types.
-#
-#	for gfortran 10 or later (may need to remove it for earlier versions).
-# - Added -Wno-error=implicit-function-declaration to CFLAGS for Clang >= 12. 
-#	(may need to remove it for earlier versions not using the C99 standard).
-#
-cd src
-./config/configure.py \
-	--prefix="${ISSM_DIR}/externalpackages/petsc/install" \
-	--PETSC_DIR="${ISSM_DIR}/externalpackages/petsc/src" \
-	--CFLAGS="-Wno-error=implicit-function-declaration" \
-	--FFLAGS="-fallow-argument-mismatch" \
-	--LDFLAGS="-Wl,-no_compact_unwind" \
-	--with-debugging=0 \
-	--with-valgrind=0 \
-	--with-x=0 \
-	--with-ssl=0 \
-	--with-pic=1 \
-	--download-fblaslapack=1 \
-	--download-mpich=1 \
-	--download-metis=1 \
-	--download-parmetis=1 \
-	--download-scalapack=1 \
-	--download-mumps=1 \
-	--download-zlib=1 
-
-# Compile and install
-make
-make install
Index: /issm/trunk-jpl/externalpackages/petsc/install-3.17-mac-m1.sh
===================================================================
--- /issm/trunk-jpl/externalpackages/petsc/install-3.17-mac-m1.sh	(revision 26942)
+++ /issm/trunk-jpl/externalpackages/petsc/install-3.17-mac-m1.sh	(revision 26942)
@@ -0,0 +1,42 @@
+#!/bin/bash
+set -eu
+
+
+## Constants
+VER="3.17.0"
+
+# Download source
+$ISSM_DIR/scripts/DownloadExternalPackage.sh "https://ftp.mcs.anl.gov/pub/petsc/release-snapshots/petsc-lite-${VER}.tar.gz" "petsc-${VER}.tar.gz"
+
+# Unpack source
+tar -zxvf petsc-${VER}.tar.gz
+
+# Cleanup
+rm -rf install src
+mkdir install src
+
+# Move source to 'src' directory
+mv petsc-${VER}/* src/
+rm -rf petsc-${VER}
+
+cd src
+./config/configure.py \
+	--prefix="${ISSM_DIR}/externalpackages/petsc/install" \
+	--PETSC_DIR="${ISSM_DIR}/externalpackages/petsc/src" \
+	--LDFLAGS="-Wl,-no_compact_unwind" \
+	--with-debugging=0 \
+	--with-valgrind=0 \
+	--with-x=0 \
+	--with-ssl=0 \
+	--with-pic=1 \
+	--download-fblaslapack=1 \
+	--download-mpich=1 \
+	--download-metis=1 \
+	--download-parmetis=1 \
+	--download-scalapack=1 \
+	--download-mumps=1 \
+	--download-zlib=1 
+
+# Compile and install
+make
+make install
